Bug 171007 - powermate module does not recognize Griffin Powermate device
powermate module does not recognize Griffin Powermate device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: 190430
  Show dependency treegraph
 
Reported: 2005-10-17 07:34 EDT by Dr. Gabriella Schmidt
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2007-0436
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 13:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tar file with the user utilities (2.39 KB, application/octet-stream)
2005-10-17 07:37 EDT, Dr. Gabriella Schmidt
no flags Details
patch from http://sowerbutts.com/powermate/powermate-2.4.21.patch (2.19 KB, patch)
2005-10-17 07:40 EDT, Dr. Gabriella Schmidt
no flags Details | Diff

  None (edit)
Description Dr. Gabriella Schmidt 2005-10-17 07:34:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.7.12-1.1.3.2

Description of problem:
We tested a Griffin Powermate with the latest kernel of RHEL3,  but it is not correctly recognized from the kernel: The error message was "Expected payload of 3 bytes, found 6 bytes!"

From /var/log/messages:
Oct 13 17:32:12 viola kernel: hub.c: new USB device 00:1f.4-1, assigned address 3
Oct 13 17:32:12 viola kernel: usb.c: USB device 3 (vend/prod 0x77d/0x410) is not claimed by any active driver.
Oct 13 17:32:15 viola /etc/hotplug/usb.agent: Setup powermate hid for USB product 77d/410/400
Oct 13 17:32:15 viola kernel: usb.c: registered new driver powermate
Oct 13 17:32:15 viola kernel: powermate: Expected payload of 3 bytes, found 6 bytes!
Oct 13 17:32:15 viola kernel: input: Griffin PowerMate on input1


Version-Release number of selected component (if applicable):
admin@viola(66)# modinfo  powermate
filename:    /lib/modules/2.4.21-37.EL/kernel/drivers/usb/powermate.o
description: "Griffin Technology, Inc PowerMate driver"
author:      "William R Sowerbutts"
license:     "GPL"

How reproducible:
Always

Steps to Reproduce:
1.Plugin powermate device
2. type 'dmesg'
3. Compile user tools from http://sowerbutts.com/powermate/powermate-1.0.tgz
4. call 'rotomatic' 

Actual Results:  No Powermate device was found

Expected Results:  The testprogram should display the rotate steps.

Additional info:

I have rebuild a custom kernel and aplied the 2.4.21 patch from:   http://sowerbutts.com/powermate/powermate-2.4.21.patch

With this modified module testprogram shows the expexted results.

But this is no sulution, because this would prevent our customers from updateing the kernel from future versions, as we can't expect them to recompile new kernels
and apply patches to c file.
Comment 1 Dr. Gabriella Schmidt 2005-10-17 07:37:11 EDT
Created attachment 120050 [details]
tar file with the user utilities

This is the tar file with the user utilities
Comment 2 Dr. Gabriella Schmidt 2005-10-17 07:40:28 EDT
Created attachment 120052 [details]
patch from http://sowerbutts.com/powermate/powermate-2.4.21.patch

This patch, if aplied to /usr/src/linux/driver/usb/powermate.c does fix the
problem.
Comment 3 Pete Zaitcev 2005-10-18 04:55:09 EDT
This patch is in RHEL 4 already. Is a migration feasible?
Comment 4 Dr. Gabriella Schmidt 2005-10-18 05:07:24 EDT
Not at this time. The current Hardware at customers site (HP-xw4200/xw4300)  is
still delivered with RHEL3, and the roadmap of our software does not include RHEL4
either for the next 6 month.
Comment 11 Jay Turner 2006-10-25 10:13:11 EDT
QE ack for 3.9.
Comment 12 Daniel Riek 2006-11-02 11:50:37 EST
RHEL3.9 is a bugfix only release but this is a Feature addition. It does not
seem to me that this driver should have recognize the hardware?

I understand that the customer has been waiting for this a long time but I do
not see how I could ACK it after RHEL3U8.
Comment 14 Ernie Petrides 2006-11-02 15:59:52 EST
This is simply a bug fix from upstream 2.4.22 (from 3 years ago),
so I'm removing the FutureFeature keyword.
Comment 15 RHEL Product and Program Management 2006-11-02 16:04:48 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Ernie Petrides 2006-12-20 21:57:32 EST
A fix for this problem has just been committed to the RHEL3 U9
patch pool this evening (in kernel version 2.4.21-47.4.EL).
Comment 20 Red Hat Bugzilla 2007-06-11 13:52:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0436.html

Note You need to log in before you can comment on or make changes to this bug.